Bug 42370 - libieee.a: multiple definition of `_LIB_VERSION'
libieee.a: multiple definition of `_LIB_VERSION'
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-25 20:49 EDT by Bill Nottingham
Modified: 2016-11-24 07:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-25 20:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2001-05-25 20:49:18 EDT
Building Guppi:


gcc -O2 -march=i386 -mcpu=i686 -Wall -Wunused -o .libs/demo demo.o
../libguppiuseful/.libs/libguppiuseful.so -L/usr/lib/python1.5/config
-lpython1.5 -lieee -ldl -lpthread .libs/libguppidata.so -rdynamic
-L/usr/lib -L/usr/X11R6/lib -lgnomeprint -lgnomeui -lart_lgpl -lgdk_imlib
-lSM -lICE -lgnome -lgnomesupport -lesd -laudiofile -ldb1 -lgdk_pixbuf
-lgtk -lgdk -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lxml -lz -rdynamic
-L/usr/lib -L/usr/X11R6/lib -lgnome -lgnomesupport -lesd -laudiofile -lm
-ldb1 -lglib -ldl -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE
-lgtk -lgdk -lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd
-laudiofile -lm -ldb1 -lglib -ldl -L/usr/lib -lgdk_pixbuf -L/usr/lib
-L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext
-lX11 -lm -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgdk_pixbuf -lgtk -lgdk
-lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lgnomecanvaspixbuf -rdynamic
-L/usr/lib -L/usr/X11R6/lib -lgnorba -lORBitCosNaming -lORBit -lIIOP
-lORBitutil -lnsl -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk
-lgmodule -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm
-ldb1 -lglib -ldl -rdynamic -lzvt -lutil -lSM -lICE -lgdk_imlib -lgtk -lgdk
-lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -L/usr/lib -lglade-gnome
-lglade -L/usr/lib -lxml -lz -rdynamic -L/usr/lib -L/usr/X11R6/lib
-rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule
-lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib
-ldl -L/usr/lib -lguile -L/usr/src/bs/BUILD/guile-1.3.4/libguile
-L/usr/src/bs/BUILD/guile-1.3.4/libguile/.libs -ldl -lm -L/usr/lib
-lORBitCosNaming -lORBit -lIIOP -lORBitutil -lglib -lnsl -lm -lbonobo-print
-rdynamic -L/usr/lib -L/usr/X11R6/lib -lbonobo -loaf -lORBitCosNaming
-lORBit -lIIOP -lORBitutil -lnsl -lbonobox -lbonobo-print -lgnomeprint
-lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgnome -lgnomesupport -lesd
-laudiofile -ldb1 -lgdk_pixbuf -lgtk -lgdk -lgmodule -lglib -ldl -lXi
-lXext -lX11 -lm -lxml -lz -lreadline -ltermcap -L/usr/lib/python1.5/config
-lpython1.5 -lieee -ldl -lpthread
/usr/lib/libieee.a(.data+0x0):/usr/src/bs/BUILD/glibc-2.2.3/math/ieee-math.c:
multiple definition of `_LIB_VERSION'
/usr/lib/libieee.a(.data+0x0):/usr/src/bs/BUILD/glibc-2.2.3/math/ieee-math.c:
first defined here
collect2: ld returned 1 exit status
Comment 1 Jakub Jelinek 2001-06-01 05:24:26 EDT
This is a bug in guppi. /usr/lib/libieee.a is not actually an ar library, but
ELF relocatable object (.o) and has to be (since there is nothing which would
bring it in otherwise). -lieee has been like this for ages.
So guppi should just not add -lieee twice because that will never work.

Note You need to log in before you can comment on or make changes to this bug.